Bug 637591 - Basero creating incomplete image (.ISO) files
Summary: Basero creating incomplete image (.ISO) files
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: brasero
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-26 19:01 UTC by Noel J. Bergman
Modified: 2011-06-28 12:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-28 12:18:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 630651 None None None Never
Launchpad 648283 None None None Never

Description Noel J. Bergman 2010-09-26 19:01:31 UTC
Description of problem:

I was testing to see if Brasero in Fedora 13 worked or if it fails in the same manner as 2.31.92 in Ubuntu.  It fails.

When I made the test burn, Brasero only claimed to burn 750MB of the ~5GB that should have been burnt, and the actual image size is shown below (smaller than even just the md5sum file should be), along with a good burn made using Fedora 11's version of Brasero.

Version-Release number of selected component (if applicable):

Brasero 2.30.2

How reproducible:


Steps to Reproduce:
1. Select a particular directory tree
2. Burn .ISO
3. Review ISO.
  
Actual results:

Corrupt, partial, file

Expected results:

A complete, correct, verifiable .ISO image.

Comment 1 Noel J. Bergman 2010-09-26 19:17:23 UTC
$  ls -ltr *.iso
-rw-rw-r--. 1 noel noel 5090373632 Mar 18  2010 piccolo.iso  <-- good
-rw-r--r--. 1 noel noel    2097152 Sep 26 14:53 brasero.iso  <-- bad

Comment 2 collura 2010-11-04 23:29:18 UTC
fails at finalize giving eject error.

filing this here because looks like might be related to incomplete image.

fc14 brasero still has problems on one machine while k3b is fine.  

i would guess hardware fault except that k3b seems to work fine while brasero fails.  maybe the k3b calls the eject differently than brasero?

the following is the latest:

-- trial0 burning image to cd with brasero in fc14gnome

part way through burn process it said it couldnt eject the cd and asked that i do it manually.

ejected cd but program didnt seem to recognize it and after about a minute i re-loaded the cd

at which point the mouse froze and the screen directly became the 'f' in an elipsoid of the boot up process

which i was only able to clear by powering down

-- trial1 reran brasero on fc14gnome and after ejected disk and reinserted cd, a nautilus popped up but no files on cd but didnt crash.
so maybe the orig crash was driven by partly writen image confusing nautilus/kernel, or just by some unrelated third party issue?

-- trial2 re-reran the burn with brasero on fc14gnome a third time and did the manual eject as asked then reinserted when message didnt clear at which point nautilus launched and did show files on the disk this time but didnt crash.

-- (also on fc14gnome had burned the same image with k3b and had no problems and auto-ejected fine)


the kernel might have crashed because of a wierd file state that brasero might have left because wasnt finished writing, but even if so the kernel shouldnt have just left so i probably will cross file this.

kernel-2.6.35.6-48.fc14 (x86_64)
brasero-2.32.0-1.fc14 (x86_64)
nautilus-2.32.0-1.fc14 (x86_64)


messages from first burn where system crashed:

Nov  4 09:36:46 localhost kernel: [31182.183722] cdrom: This disc doesn't have any tracks I recognize!
Nov  4 09:36:46 localhost kernel: [31182.305271] sr 2:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  4 09:36:46 localhost kernel: [31182.305292] sr 2:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov  4 09:36:46 localhost kernel: [31182.305311] sr 2:0:0:0: [sr0] Add. Sense: Logical block address out of range
Nov  4 09:36:46 localhost kernel: [31182.305333] sr 2:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
Nov  4 09:36:46 localhost kernel: [31182.305364] end_request: I/O error, dev sr0, sector 0
Nov  4 09:36:46 localhost kernel: [31182.305381] Buffer I/O error on device sr0, logical block 0
Nov  4 09:36:46 localhost kernel: [31182.306879] sr 2:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  4 09:36:46 localhost kernel: [31182.306895] sr 2:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov  4 09:36:46 localhost kernel: [31182.306910] sr 2:0:0:0: [sr0] Add. Sense: Logical block address out of range
Nov  4 09:36:46 localhost kernel: [31182.306928] sr 2:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
Nov  4 09:36:46 localhost kernel: [31182.306962] end_request: I/O error, dev sr0, sector 0
Nov  4 09:36:46 localhost kernel: [31182.306975] Buffer I/O error on device sr0, logical block 0
Nov  4 09:36:46 localhost kernel: [31182.308445] sr 2:0:0:0: [sr0] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov  4 09:36:46 localhost kernel: [31182.308461] sr 2:0:0:0: [sr0] Sense Key : Illegal Request [current] 
Nov  4 09:36:46 localhost kernel: [31182.308477] sr 2:0:0:0: [sr0] Add. Sense: Logical block address out of range
Nov  4 09:36:46 localhost kernel: [31182.308494] sr 2:0:0:0: [sr0] CDB: Read(10): 28 00 00 00 00 00 00 00 01 00
Nov  4 09:36:46 localhost kernel: [31182.308529] end_request: I/O error, dev sr0, sector 0
Nov  4 09:36:46 localhost kernel: [31182.308542] Buffer I/O error on device sr0, logical block 0






xsessionlog:

** (brasero:2482): WARNING **: ERROR loading background pix : Failed to open file '/usr/share/brasero/logo.png': No such file or directory

(gnome-screensaver:2051): GdkPixbuf-CRITICAL **: gdk_pixbuf_format_get_name: assertion `format != NULL' failed
** (deja-dup-monitor:1951): DEBUG: monitor.vala:263: Invalid next run date.  Not scheduling a backup.

Comment 3 Bug Zapper 2011-05-31 12:32:21 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-28 12:18:35 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.